Package com.independentsoft.office.odf

# Class SoftPageBreak

java.lang.Object
com.independentsoft.office.odf.SoftPageBreak

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

public class SoftPageBreak extends Object implements ITextContent, IParagraphContent
Represents a soft page break within or between paragraph elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftPageBreak()`
  Initializes a new instance of the SoftPageBreak class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SoftPageBreak`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current SoftPageBreak object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SoftPageBreak

    public SoftPageBreak()
    Initializes a new instance of the SoftPageBreak class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public SoftPageBreak clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current SoftPageBreak object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string